Bug 624561 - [abrt] openoffice.org-writer-1:3.2.0-12.29.fc13: GetUpper: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
Summary: [abrt] openoffice.org-writer-1:3.2.0-12.29.fc13: GetUpper: Process /usr/lib64...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:758327a4d8a36ea2e6704ad3d76...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-16 23:34 UTC by James Ralston
Modified: 2012-03-27 09:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-27 09:57:55 UTC


Attachments (Terms of Use)
File: backtrace (83.32 KB, text/plain)
2010-08-16 23:34 UTC, James Ralston
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 32170 None None None Never

Description James Ralston 2010-08-16 23:34:56 UTC
abrt version: 1.1.13
architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/openoffice.org3/program/swriter.bin -writer
comment: Alas, it's very unlikely that I will be able to share the actual document.
component: openoffice.org
crash_function: GetUpper
executable: /usr/lib64/openoffice.org3/program/swriter.bin
kernel: 2.6.34.3-37.fc13.x86_64
package: openoffice.org-writer-1:3.2.0-12.29.fc13
rating: 4
reason: Process /usr/lib64/openoffice.org3/program/swriter.bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
How to reproduce: I have a OOXML document that crashes OpenOffice whenever I attempt to open the document.
time: 1281997010
uid: 4524

Comment 1 James Ralston 2010-08-16 23:34:58 UTC
Created an attachment (id=439029)
File: backtrace

Comment 2 David Tardon 2010-08-17 07:23:11 UTC
It looks like there is a table whose second row contains no cells; I suppose this is a bug in the table handler. Anyway, it results in a NULL dereference and a crash later. We could just add some tests to avoid the crash, but it would really help us to have the document to catch the cause of the problem. If it's confidential, you can send it by email to caolanm or to me and we will handle it as such.

Comment 3 James Ralston 2010-08-18 16:36:10 UTC
I sent an example document that causes OpenOffice to crash to David via email at 2010-08-18T12:33:13-0400.

Comment 4 David Tardon 2010-08-19 07:20:29 UTC
reproducible

Comment 5 Bug Zapper 2011-06-01 11:23:53 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 James Ralston 2011-06-01 20:44:52 UTC
F14 OpenOffice still crashes. Have not tested LibreOffice.

Comment 8 David Tardon 2011-10-25 11:02:01 UTC
This was actually fixed by Cedric long ago (for LibO 3.3). I thought I put the patch into F-14 at the time...

Comment 9 David Tardon 2011-10-25 11:14:46 UTC
Okay, sorry for the (unnecessary) delay. This will be fixed in openoffice.org-3.3.0-20.9.fc14 if there is another update for F-14.

Comment 10 Fedora Update System 2011-11-30 11:46:36 UTC
openoffice.org-3.3.0-20.10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.10.fc14

Comment 11 Fedora Update System 2011-12-02 21:30:14 UTC
Package openoffice.org-3.3.0-20.10.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openoffice.org-3.3.0-20.10.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16640/openoffice.org-3.3.0-20.10.fc14
then log in and leave karma (feedback).

Comment 12 Caolan McNamara 2012-03-27 09:57:55 UTC
Fedora 14 is EOL


Note You need to log in before you can comment on or make changes to this bug.